2010-06-22  Chris Bacon <chrisbacon76@gmail.com>

	* System.Diagnostics.Contract.Internal: New file.

2010-05-23  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* corlib.dll.sources: Add System.IO.IsolatedStorageSecurityState.cs
	and System.IO.IsolatedStorageSecurityOptions.cs.

2010-05-07  Alan McGovern  <amcgovern@novell.com>

	* Mono.Math/BigInteger.cs: If the BigInteger is instantiated with a
	zero length array, replace it with an array of length 1 so we don't
	hit inexplicable IndexOutOfRange exceptions later on. Fixes #556533. 

2010-04-23  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* moonlight_raw_corlib.dll.sources: Don't include Lazy.cs here. It's in
	System.Core.dll.

2010-04-06  Jb Evain  <jbevain@novell.com>

	* corlib.dll.sources: add System.Threading.SemaphoreFullException
	from System in net_4_0.

2010-03-30  Sebastien Pouliot  <sebastien@ximian.com>

	* moonlight_raw_corlib.dll.sources: Fix Moonlight since these 
	types now reside in mscorlib (not System.Coe) for NET_4_0 and
	also for SL4

2010-03-26  Sebastien Pouliot  <sebastien@ximian.com>

	* moonlight_raw_corlib.dll.sources: Add MonoAssembly to ML build
	since it contains parts of the Assembly features (partial class)

2010-03-18  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Add Aes (for NET_4_0)
	* moonlight_raw_corlib.dll.sources: Add Aes and System.Runtime.
	CompilerServices/ReferenceAssemblyAttribute.cs

2010-03-16  Jb Evain  <jbevain@novell.com>

	* Makefile: rename the net_2_1 profile to moonlight.
	* net_2_1_*.dll.sources: rename to moonlight_*.dll.sources.

2010-03-11  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_corlib.dll.sources: Add System.Diagnostics.Contracts
	for Moonlight 4

2010-03-08  Jérémie Laval  <jeremie.laval@gmail.com>

	* corlib_test.dll.sources: Add System.Threading/SpinLockTests.cs

2010-03-02  Jérémie Laval  <jeremie.laval@gmail.com>

	* corlib_test.dll.sources: Add System.Threading.Tasks/TaskFactoryTest.cs

2010-03-01  Miguel de Icaza  <miguel@novell.com>

	* More dropping of old NET_1_1 code.

2010-02-09  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_corlib.dll.sources: Add Mono.CompilerServices.
	SymbolWriter source files directly into mscorlib 2.1

2010-02-02  Jérémie Laval  <jeremie.laval@gmail.com>

	* corlib.dll.sources: Add System.Threading.Tasks/SimpleConcurrentBag.cs
	and System.Threading.Tasks/UnobservedTaskExceptionEventArgs.cs

2010-01-26  Marek Habersack  <mhabersack@novell.com>

	* net_2_1_raw_corlib.dll.sources: added System.IO/SearchOption.cs
	to fix the build.

2009-12-03  Marek Habersack  <mhabersack@novell.com>

	* corlib.dll.sources: added
	System.Runtime.Versioning/FrameworkName.cs and
	System.Runtime.Versioning/TargetFrameworkAttribute.cs

	* corlib_test.dll.sources: added
	System.Runtime.Versioning/FrameworkNameTest.cs and
	System.Runtime.Versioning/TargetFrameworkAttributeTest.cs

2009-12-02  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Add LIBC define.
	
2009-11-30  Andrés G. Aragoneses  <aaragoneses@novell.com>

        * Makefile: Remove the MOON_A11Y_INTERNAL_HACK define
       for MoonAtkBridge after audit finished in r147098.

2009-11-08  Juraj Skripsky  <js@hotfeet.ch>

	* corlib_test.dll.sources: Add System/ArraySortArgChecks.cs

2009-10-22  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Add System/WeakReferenceTest and
	System.Threading/EventWaitHandleTest.cs

2009-10-21  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Add System.Threading/WaitHandleTest.cs

2009-10-18  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Remove System.IO.IntPtrStream since it can
	be replaced by (public in 2.0+) UnmanagedMemoryStream
	* net_2_1_raw_corlib.dll.sources: Remove System.IO.IntPtrStream 
	since it can be replaced by UnmanagedMemoryStream

2009-10-09  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (AOT_IN_PROFILES): Enable this in the net 2.0/4.0 profile.

2009-10-07  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_corlib.dll.sources: Remove System/LocalDataStoreSlot.cs
	from Moonlight build

2009-10-06  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_corlib.dll.sources: Remove normalization files from
	Moonlight build

2009-09-23  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_corlib.dll.sources: Add back UTF32 so smcs can compile
	more source files.

2009-09-23  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_bootstrap_corlib.dll.sources: Simply include net_2_1_raw*

2009-09-23  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_bootstrap_corlib.dll.sources, net_2_1_raw_corlib.dll.sources:
	Remove more unneeded code for NET_2_1

2009-09-22  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_bootstrap_corlib.dll.sources, net_2_1_raw_corlib.dll.sources:
	Remove more unneeded code and replace some classes with simpler
	NET_2_1 versions.

2009-09-21  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_bootstrap_corlib.dll.sources, net_2_1_raw_corlib.dll.sources:
	Remove most of System.Security.Policy and System.Security.Principal
	and more of System.Security.Permissions from NET_2_1 build

2009-09-20  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_bootstrap_corlib.dll.sources, net_2_1_raw_corlib.dll.sources:
	Remove more types (e.g. AccessControl, Soap) from NET_2_1

2009-09-20  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_bootstrap_corlib.dll.sources, net_2_1_raw_corlib.dll.sources:
	Remove more unneeded types from NET_2_1

2009-09-19  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_bootstrap_corlib.dll.sources, net_2_1_raw_corlib.dll.sources:
	New. Moonlight specific build files to minimize size and build time.
	Copied from corlib.dll.sources minus some 4.0 stuff and COM types.

2009-09-04  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add System.IO/UnmanagedMemoryAccessor.cs.
	
	* corlib.dll.sources: Add System.Runtime.InteropServices/SafeBuffer.cs.

2009-08-11  Jérémie Laval  <jeremie.laval@gmail.com>

	* corlib.dll.sources: Update with moved files.
	* corlib_test.dll.source: Updated with moved files.

2009-07-31  Jérémie Laval  <jeremie.laval@gmail.com>

        * corlib.dll.sources: Added TaskCompletionSource
        * corlib_test.dll.sources: Removed SnziTests due to
	visibility change in Snzi.
	Added TaskCompletionSource tests.

2009-07-31 Jérémie Laval  <jeremie.laval@gmail.com>

	* corlib_test.dll.source: Add ConcurrentSkipList class
	for internal testing

2009-07-30 Jérémie Laval  <jeremie.laval@gmail.com>

	* corlib.dll.source: Add ParallelFx files.
	* corlib_test.dll.source: Add ParallelFx unit tests.

2009-06-10  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added test for InternalVisibleToAttribute.

2009-06-10  Marek Safar  <marek.safar@gmail.com>

	* corlib.dll.sources: Add new net 4.0 files.

2009-05-26  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Makefile: Handling of the MOON_A11Y_INTERNAL_HACK env var.

2009-05-22  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add new net 4.0 files.

	* corlib_test.dll.sources: Add System/LazyTest.cs.

	* corlib.dll.sources: Add System/{Lazy,LazyExecutionMode,Funcs}.cs for
	NET 4.0.

2009-05-01  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Add unit tests for AppDomainManager
	and SecurityState

2009-04-29  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Add CryptoConfig_2_1.cs (partial class) to
	the build

2009-04-27  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Add new specific to 2.1 version of some 
	classes.

2009-04-16  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Add System.IO.IsolatedStorage/
	MoonIsolatedStorage.cs to the build

2009-02-07  Zoltan Varga  <vargaz@gmail.com>

	* Makefile: Add Test/resources/Fergie.GED to EXTRA_DIST.

2009-01-30  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile: new resource, new EXTRA_DIST mess.

2008-11-15  Jonathan Pryor  <jpryor@novell.com>

	* Documentation/en/**: Flush; changes due to mdoc-update 
	  Reflection->Cecil migration.  Changes include:
	  - Alphabetical ordering of custom attributes (these used to be in
	    Reflection order, and Cecil uses a different ordering, so just
	    sort them now).
	  - Closer documentation mapping to source code (e.g. `class Foo :
	    ICollection<Bar>, IEnumerable<Bar>` now adds IEnumerable<Bar> as
	    an interface).
	  - Some method have been removed (presumably because the source was
	    altered since the last time `make doc-update` was run).

2008-11-13  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (AOT_IN_PROFILES): Disable AOT for the 2.0 profile as it actually
	slows down the build.

2008-11-12  Zoltan Varga  <vargaz@gmail.com>

	* Makefile: Enable AOT for the 2.0 profile too.
	
	* Makefile: Enable AOT for the 1.1 profile.

2008-11-09  William Holmes  <billholmes54@gmail.com>

	* corlib_test.dll.sources: Add TextReaderTest.cs.

2008-09-04  Robert Jordan  <robertj@gmx.net>

	* corlib_test.dll: Add S.R.S/SerializationTest2.cs

2008-08-27  Marek Safar  <marek.safar@gmail.com>

	* Makefile: Removed disabled global 649 warning.

2008-08-22  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Add unit tests for ObsoleteAttribute

2008-08-12  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib.dll.sources: Removed ReflectionSerializationHolder.cs.

2008-08-07  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Add System.Security/SecurityState.cs

2008-08-05  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Add SoapHexBinaryTest.cs.

2008-05-12  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Add MethodBaseTest.cs.

2008-05-08  Dick Porter  <dick@ximian.com>

	* Makefile: Test/System.IO/DirectoryInfoTest.cs needs Mono.Posix

2008-05-07  Robert Jordan  <robertj@gmx.net>

	* corlib_test.dll.sources: Add System/Runtime*HandleTest.cs

2008-05-07  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Remove System.IO/Check[Argument|Permission].cs

2008-04-30  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added ConstructorOnTypeBuilderInstTest.cs.

2008-04-26  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added MethodOnTypeBuilderInstTest.cs.

2008-04-22  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add System.Reflection.Emit/{Method,Constructor}OnTypeBuilderInst.cs.

2008-04-02  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : added SortKeyTest.cs.

2008-03-21  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Add unit tests for EqualityComparer

2008-03-14  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add System.Reflection.Emit/FieldOnTypeBuilderInst.cs.

2008-03-04  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib.dll.sources: Add internal System.Resources.RuntimeResourceSet
	to the build.
	* corlib_test.dll.sources: Add unit tests for ResourceSet

2008-02-18  Zoltan Varga  <vargaz@gmail.com>

	* corlib_test.dll.sources: Add System.Reflection/CustomAttributeDataTest.cs.

2008-02-17  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (LIBRARY_COMPILE) [net_2_1]: Remove special case.

2008-01-13  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: added ReadOnlyCollectionTest.cs.

2007-12-31  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: added Consts.cs.

2007-12-04  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: added ExternalExceptionTest.cs.

2007-11-21  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources: added System.Deployment.Internal and
	  System.Runtime sources.

2007-11-16  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : added S.R.E/SignatureHelperTest.cs.

2007-11-13  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add System/GCCollectionMode.cs and System/GCLatencyMode.cs.

2007-09-14  Jb Evain  <jbevain@novell.com>

	* Makefile: force the use of the 2.0 mscorlib to compile
	the 2.1 mscorlib.dll.

2007-08-23  Robert Jordan  <robertj@gmx.net>

	* corlib.dll.sources: Added MemberInfoSerializationHolder.cs.

2007-08-22  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : added ChannelServicesTest.cs.

2007-08-15  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources : added CustomErrorsModes.cs.

2007-08-13  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added System/ArgumentExceptionTest.cs.

2007-08-10  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Added System.Reflection.Emit/DynamicILInfo.cs.

2007-08-08  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources : removed ComObjectInUseException.cs and
	  ExposeAsClassToComAttribute.cs.

2007-07-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: added RuntimeMethodHandleTest.cs.

2007-07-10  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : added StringInfoTest.cs.

2007-07-02  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources : added couple of new 2.0 calendars.
	* corlib_test.dll.sources : added EastAsianLunisolarCalendarTest.cs.

2007-05-31  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* corlib_test.dll.sources : added DateTimeFormatInfoTest.cs.

2007-05-25  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : added ResourceWriterTest.cs.

2007-05-25  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources : added MissingSatelliteAssemblyException.cs
	  and IdnMapping.cs. Removed obsolete 2.0 NotCancelableException.cs.
	* corlib_test.dll.sources : added IdnMappingTest.cs.

2007-05-15  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : added RegionInfoTest.cs.

2007-05-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (cmp_makefrag, cmp_response): Depend on $(depsdir).

2007-05-11  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* corlib_test.dll.sources: Added DebuggerDisplayAttributeTest.cs.

2007-05-01  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added ConstructorInfoTest.cs.

2007-04-30  Dick Porter  <dick@ximian.com>

	* corlib.dll.sources: Added
	Microsoft.Win32.RegistryKeyPermissionCheck.cs

2007-03-22  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Added missing Rfc2898DeriveBytes unit tests
	to the build.

2007-03-08  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added StringComparerTest.cs.

2007-03-08  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added ComparerTest.cs.

2007-03-07  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added IListTest.cs.

2007-01-31  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added EncodingTest.cs.

2007-01-08  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Added new unit tests for bug #80439 to the
	build. System.Security.Cryptography/SymmetricAlgorithmTransformTest.cs

Tue Dec 19 15:31:39 CET 2006 Paolo Molaro <lupus@ximian.com>

	* corlib.dll.sources: added System/MonoListItem.cs for use
	as a runtime internal linked list.

2006-11-27  Jonathan Chambers  <joncham@gmail.com>

	* corlib.dll.sources: Added Mono.Interop/IUnknown.cs
	and Mono.Interop/IDispatch.cs.
	
2006-11-01  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Added unit tests and CAS tests for 
	class System.Runtime.CompilerServices.RuntimeWrappedException.

2006-10-29  Robert Jordan  <robertj@gmx.net>

	* corlib_test.dll.sources: Added SerializationCallbackTest.cs

2006-10-29  Robert Jordan  <robertj@gmx.net>
	
	* corlib.dll.sources: Added NET_2_0 serialization events files.

2006-10-14  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added BadImageFormatExceptionTest.cs.

2006-09-21  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added FileNotFoundExceptionTest.cs.

2006-08-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib.dll.sources: Added RegistryValueOptions.cs.

2006-08-13  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources : added NormalizationTableUtil.cs and
	  Normalization.cs which are in Mono.Globalization.Unicode.

2006-07-31  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Added unit tests for HMACSHA384 and
	HMACSHA512 to the build.

2006-07-15  Jonathan Chambers  <joncham@gmail.com>

	* corlib.dll.sources: Added Mono.Interop/ComInteropProxy.cs
	
2006-07-09  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added DynamicMethodTest.cs from
	Test/System.Reflection.Emit.

2006-07-06  Dick Porter  <dick@ximian.com>

	* corlib.dll.sources: Added
	  System.Security.AccessControl/AccessControlModification.cs
	  System.Security.AccessControl/AccessControlType.cs
	  System.Security.AccessControl/AccessRule.cs
	  System.Security.AccessControl/AceEnumerator.cs
	  System.Security.AccessControl/AceFlags.cs
	  System.Security.AccessControl/AceQualifier.cs
	  System.Security.AccessControl/AceType.cs
	  System.Security.AccessControl/AuditFlags.cs
	  System.Security.AccessControl/AuditRule.cs
	  System.Security.AccessControl/AuthorizationRule.cs
	  System.Security.AccessControl/AuthorizationRuleCollection.cs
	  System.Security.AccessControl/CommonAce.cs
	  System.Security.AccessControl/CommonAcl.cs
	  System.Security.AccessControl/CommonSecurityDescriptor.cs
	  System.Security.AccessControl/CompoundAce.cs
	  System.Security.AccessControl/CompoundAceType.cs
	  System.Security.AccessControl/ControlFlags.cs
	  System.Security.AccessControl/CryptoKeyAccessRule.cs
	  System.Security.AccessControl/CryptoKeyAuditRule.cs
	  System.Security.AccessControl/CryptoKeyRights.cs
	  System.Security.AccessControl/CustomAce.cs
	  System.Security.AccessControl/DirectoryObjectSecurity.cs
	  System.Security.AccessControl/DiscretionaryAcl.cs
	  System.Security.AccessControl/EventWaitHandleAccessRule.cs
	  System.Security.AccessControl/EventWaitHandleAuditRule.cs
	  System.Security.AccessControl/FileSecurity.cs
	  System.Security.AccessControl/FileSystemAccessRule.cs
	  System.Security.AccessControl/FileSystemAuditRule.cs
	  System.Security.AccessControl/FileSystemRights.cs
	  System.Security.AccessControl/FileSystemSecurity.cs
	  System.Security.AccessControl/GenericAce.cs
	  System.Security.AccessControl/GenericAcl.cs
	  System.Security.AccessControl/GenericSecurityDescriptor.cs
	  System.Security.AccessControl/InheritanceFlags.cs
	  System.Security.AccessControl/KnownAce.cs
	  System.Security.AccessControl/MutexAccessRule.cs
	  System.Security.AccessControl/MutexAuditRule.cs
	  System.Security.AccessControl/ObjectAccessRule.cs
	  System.Security.AccessControl/ObjectAce.cs
	  System.Security.AccessControl/ObjectAceFlags.cs
	  System.Security.AccessControl/ObjectAuditRule.cs
	  System.Security.AccessControl/PrivilegeNotHeldException.cs
	  System.Security.AccessControl/PropagationFlags.cs
	  System.Security.AccessControl/QualifiedAce.cs
	  System.Security.AccessControl/RawAcl.cs
	  System.Security.AccessControl/RawSecurityDescriptor.cs
	  System.Security.AccessControl/RegistryAccessRule.cs
	  System.Security.AccessControl/RegistryAuditRule.cs
	  System.Security.AccessControl/RegistryRights.cs
	  System.Security.AccessControl/RegistrySecurity.cs
	  System.Security.AccessControl/ResourceType.cs
	  System.Security.AccessControl/SecurityInfos.cs
	  System.Security.AccessControl/SystemAcl.cs

2006-07-03  Kornel Pal  <kornelpal@gmail.com>

	* corlib.dll.sources: Added
	  System.Globalization/CodePageDataItem.cs
	  System.Text/CodePageEncoding.cs
	  System.Text/MLangCodePageEncoding.cs
	  System.Text/SurrogateEncoder.cs

2006-06-5  Jonathan Chambers  <jonathan.chambers@ansys.com>

	* corlib_test.dll.sources : added Variant.cs.

2006-05-31  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Removed System/MonoDummy.cs.
	
	* corlib.dll.sources: Add System/MonoAsyncCall.cs.

2006-05-25  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : added EncodingInfoTest.cs.

2006-04-21  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add System.IO/FileOptions.cs.

2006-03-30  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources: added EncoderTest.cs and DecoderTest.cs.

2006-02-26  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib.dll.sources: Removed DecimalFormatter.cs.

2006-02-14  Ankit Jain  <jankit@novell.com>

	* corlib_test.dll.sources: Add ArraySegmentTest.cs

2006-01-26  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add DebuggerNonUserCodeAttribute.cs and 
	SuppressMessageAttribute.cs.

2006-01-19  Raja R Harinath  <rharinath@novell.com>

	* Makefile: Simplify.  Remove support for corlib_plattest and reslib.
	* corlib_plattest.dll.excludes, corlib_res.dll.excludes: remove.

2006-01-18  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : corlib_plattest dll is now profile-aware.

2006-01-13  Robert Jordan  <robertj@gmx.net>

	* corlib.dll.sources: Added System.Resources/ResourceManagerTest.cs

2006-01-05  Kornel Pal  <kornelpal@hotmail.com>

	* corlib.dll.sources: Added DriveNotFoundException.cs in System.IO.

2005-12-23  Dick Porter  <dick@ximian.com>

	* corlib.dll.sources: Added System.Security.AccessControl.MutexRights

2005-12-17  Dick Porter  <dick@ximian.com>

	* corlib.dll.sources: Added in System.Security.AccessControl:
	CommonObjectSecurity.cs, EventWaitHandleRights.cs,
	EventWaitHandleSecurity.cs, ObjectSecurity.cs, MutexSecurity.cs,
	NativeObjectSecurity.cs.  Added in System.Threading:
	AbandonedMutexException.cs, EventResetMode.cs, EventWaitHandle.cs,
	ThreadStartException.cs

2005-12-15  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: Added ObjectManagerTest.cs in
	System.Runtime.Serialization.

2005-12-07  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Remove obsolete System.Runtime.InteropServices/NewConstraintAttribute.cs.

2005-12-02  Robert Jordan  <robertj@gmx.net>

        * corlib_test.dll.sources: Added System.Reflection/ReflectedTypeTest.cs.

2005-11-28  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources: added EncodingInfo.cs.

2005-11-28  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources: added UTF32Encoding.cs.

2005-11-17  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add System.Runtime.InteropServices.DefaultParameterValueAttribute.cs.

2005-11-15  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources:
	  Added EncoderReplacementFallbackBudderTest.cs.

2005-11-15  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources:
	  Added DecoderReplacementFallbackBudderTest.cs.

2005-11-15  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Readd NewConstraintAttribute.cs as gmcs depends on it.
	
	* corlib.dll.sources: Remove obsolete net 2.0 classes.

2005-11-15  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources: added new tests for
	  DecoderReplacementFallback and EncoderReplacementFallback.

2005-11-15  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources: Encoder support types in System.Text as well.

2005-11-14  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources: added new .NET 2.0 Decoder support types in
	  System.Text.

2005-11-06  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add System.IO/SearchOption.cs.

2005-11-05  Robert Jordan  <robertj@gmx.net>

	* corlib.dll.sources: Added System.Runtime.Remoting.Channels/ISecurableChannel.cs

2005-10-26  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add System.Runtime.InteropServices/IsCopyConstructed.cs.

	* corlib.dll.sources: Add/Remove some net 2.0 classes in System.Runtime.CompilerServices.

2005-10-25  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : added System.Collections.ObjectModel/KeyedCollectionTest.cs.

2005-10-07  Zoltan Varga  <vargaz@gmail.com>

	* corlib.dll.sources: Add System.Runtime.CompilerServices/{RuntimeCompatibilityAttribute.cs, RuntimeWrappedException.cs}.

	* corlib_test.dll.sources: Add System/DelegateTest.cs

2005-08-13  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile (EXTRA_DISTFILES): Add resource files. Fixes #75794.

2005-08-10  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add System.Runtime.InteropServices/SafeHandle.cs
	and Microsoft.Win32.SafeHandles/SafeHandleZeroOrMinusOneIsInvalid.cs.

2005-08-09  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add System.Runtime.CompilerServices/SpecialNameAttribute.cs.

2005-08-08  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources : added managed collation classes
	* Makefile : added resources to build.
	* resources : new directory for collation table resources.

2005-08-06  Gert Driesen  <drieseng@users.sourceforge.net>

	* corlib.dll.sources: Added System.Runtime.InteropServices/
	TypeLibImportClassAttribute.cs.

2005-07-26  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add System/StringSplitOptions.cs and System/MidpointRounding.cs.

2005-07-26  Raja R Harinath  <rharinath@novell.com>

	* Makefile: Minor re-org for better readability.  Remove an
	outdated comment.

2005-07-26  Marek Safar  <marek.safar@seznam.cz>

	* corlib.dll.sources: Added System.StringComparer.cs.

2005-07-25  Marek Safar  <marek.safar@seznam.cz>

	* Makefile: `if' for 2.0 warnings only.

2005-07-11  Marek Safar  <marek.safar@seznam.cz>

	* Makefile: Disable warning 414.

2005-06-29  Ben Maurer  <bmaurer@ximian.com>

	* Makefile (TEST_MCS_FLAGS): Remove bad dep on S.Data.

2005-06-23  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib.dll.sources: Added System.Security.Policy.MonoTrustManager to
	the build (for 2.0).
	* corlib_test.dll.sources: Added unit tests (normal and CAS) for 
	System.Security.Policy.ApplicationSecurityManager.

2005-06-22  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Added CAS unit tests for System.Security.
	SecurityManager and CodeAccessPermission to the build.

2005-06-21  David Waite  <mass@akuma.org>

	* corlib_test.dll.sources: Added System.Collections.ObjectModel.Collection test

2005-06-19  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add System.Collections.ObjectModel classes.

	* System.Collections.ObjectModel: New directory.

2005-06-12  David Waite  <dwaite@gmail.com>

	* corlib.dll.sources: Add the non-generic IEqualityComparer interface

2005-06-15  Martin Baulig  <martin@ximian.com>

	* System/GenericParameterAttributes.cs: Move to System.Reflection;
	thanks to Kamil Skalski <nazgul@nemerle.org> for pointing this out.

2005-06-10  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Added unit tests for System.Security.
	Policy.StrongNameMembershipCondition.

2005-06-07  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Added unit tests (normal and CAS) for 
	System.Runtime.InteropServices.RuntimeEnvironment.

2005-06-06  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Some System.Reflection classes got renamed in net 2.0
	beta 2.

2005-06-04  Ben Maurer  <bmaurer@ximian.com>

	* corlib.dll.sources: IEqualityComparer, etc
	
	* corlib.dll.sources: IEquatable

	* */*.cs: .NET 2.0 fixups

2005-05-30  Sebastien Pouliot  <sebastien@ximian.com> 

	* corlib_test.dll.sources: Added (re-added?) the System.Activator unit
	tests.

2005-05-28  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* corlib.dll.sources: Added System.Runtime.Hosting namespace with 
	ActivationArguments and ApplicationActivator classes. Removed 
	ApplicationActivator from System namespace.

2005-05-27  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* corlib.dll.sources: Added internal System.Security.PermissionBuilder
	class to the build.
	* corlib_test.dll.sources: Added CAS unit tests for System.Security.
	PermissionSet class.

2005-05-26  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* corlib.dll.sources: Removed the *Switcher structures from the build
	(NET_2_0) as they aren't part of the public API (beta2) anymore.
		- System.Threading/CompressedStackSwitcher.cs
		- System.Threading/ExecutionContextSwitcher.cs
		- System.Threading/HostExecutionContextSwitcher.cs
		 -System.Threading/SynchronizationContextSwitcher.cs
	Added System.Security.Policy/DefaultPolicies.cs

2005-05-25  Zoltan Varga  <vargaz@freemail.hu>

	* corlib_test.dll.sources: Add System.Reflection.TypeDelegatorTest.

2005-05-22  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Renamed CER to Cer to match 2.0 beta2.

2005-05-18  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added new CAS tests for System.IO.Stream.

2005-05-15  Andreas Nahr  <ClassDevelopment@A-SoftTech.com>

	* corlib.dll.sources: added various files for System.Runtime.InteropServices

2005-05-13  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources,
	  corlib.dll.sources: generic Queue.cs and Stack.cs are now in System.

2005-05-12  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources: replaced MiniParser.cs with SmallXmlParser.cs.

2005-05-09  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Removed SecurityContextSwitcher from build.
	* corlib_test.dll.sources: Added existing CAS unit tests not yet part
	of the build.

2005-05-09  Raja R Harinath  <rharinath@novell.com>

	* Makefile (TEST_COMPILE): Set MONO_PATH.

2005-04-27  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added new classes in System.Security and some
	support classes for X509Certificate (imported from Mono.Security.dll).

2005-04-26  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added unit tests for System.Security.Policy.
	ApplicationTrust class.

2005-04-25  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Do not include "old removed 2.0" (wrt beta2) in
	the mscorlib.dll compilation. The file should be deleted later (if 
	they do not reappear or are required as internal).
	* corlib_test.dll.sources: Removed unit tests for classes removed in 
	beta2.

2005-04-16  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources : added System.Text/NormalizationForm.cs.

2005-04-02  Ben Maurer  <bmaurer@ximian.com>

	* corlib_test.dll.sources: Add new test.

2005-03-24  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources : Added many new CAS unit tests to the build.

2005-03-23  Lluis Sanchez Gual  <lluis@ximian.com>

	* corlib_test.dll.sources: Added new serialization test.

2005-03-15  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources : Added new CAS unit tests BadImageFormat
	Exception, IsolatedStorageFile and IsolatedStorageFileStream.

2005-03-23  Kazuki Oikawa  <kazuki@panicode.com>

	* corlib.dll.sources: Added _ConstructorInfo, _EventInfo,
	_FieldInfo, _MemberInfo, _MethodBase, _MethodInfo, _PropertyInfo,
	_Type, BStrWrapper, ComDefaultInterfaceAttribute, ComObjectInUseException,
	CriticalHandle, DefaultCharSetAttribute, ExposeAsClassToComAttribute,
	RegistrationClassContext, RegistrationConnectionType

2005-03-02  Chris Toshok  <toshok@ximian.com>

	* corlib.dll.sources: add DebuggerBrowsableState,
	DebuggerBrowsableAttribute, DebuggerDisplayAttribute, and
	DebuggerTypeProxyAttribute.

2005-02-26  Kazuki Oikawa  <kazuki@panicode.com>

	* corlib.dll.sources: Removed DoubleFormatter and SingleFormatter.
	Added System.Runtime.InteropServices.ComTypes

2005-02-24  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources : Added new 2.0 unit tests for X.509 
	certificates in System.Security.Cryptography.X509Certificates/
	X509Cert20Test.cs to the build.

2005-02-21  Michal Moskal  <malekith@pld-linux.org>

	* Makefile (LIBRARY_INSTALL_DIR): Define in terms of $(libdir).

2005-02-20  Zoltan Varga  <vargaz@freemail.hu>

	* corlib_test.dll.sources: Add System.Threading.InterlockedTest.cs.

2005-02-11 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* corlib.dll.sources: added WindowsConsoleDriver.cs

2005-01-31  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.source: Added Microsoft.Win32.SafeHandles.SafeFileHandle,
	removed IsolatedStorageInfo and added IsolatedStorageFileEnumerator to
	the build.
	* corlib_test.dll.sources : Added new unit tests for System.IO.
	IsolatedStorage and new CAS (*.Cas.cs) tests to the build.

2005-01-31  Kazuki Oikawa <kazuki@panicode.com>

	* Patch from Kazuki Oikawa <kazuki@panicode.com> that replaces the
	old Integer and Floating point number string formatter with a new
	formatter that is more compliant. 

2005-01-17  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib.dll.sources : added CharUnicodeInfo.cs.

2005-01-10  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System.Security.AccessControl/
	CryptoKeySecurity.cs (2.0) to the build.

2005-01-09  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources : Added Test/System.Security/
	HostSecurityManagerTest.cs and PermissionSetCollectionTest,cs
	unit tests (2.0) to the build.

2005-01-08  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System.Security/SecurityCriticalAttribute
	and SecurityTransparentAttribute (2.0) to the build.

2005-01-05  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Removed System.Security.Permissions/
	DataProtectionPermission.cs, DataProtectionPermissionAttribute.cs and
	DataProtectionFlags.cs as they are now part of the System.Security
	assembly.
	* corlib_test.dll.sources : Removed Test/System.Security.Permissions/
	DataProtectionPermissionAttributeTest.cs for the same reason.

2004-12-27  Ben Maurer  <bmaurer@ximian.com>

	* corlib_test.dll.sources: Add s.col.gen.stack test

2004-12-23  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Removed System.Security.Cryptography/
	ProtectedData.cs, ProtectedMemory.cs, DataProtectionScope.cs and
	MemoryProtectionScope.cs as they are now part of the System.Security
	assembly.
	* corlib_test.dll.sources : Removed Test/System.Security.Cryptography/
	ProtectedDataTest.cs and ProtectedMemoryTest.cs for the same reason.

2004-12-20  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System.Security/SecurityFrame.cs to the build.

2004-12-06  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : added TextWriterTest.cs.

2004-11-28  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Added some missing 2.0 exception classes.

2004-11-19  Raja R Harinath  <rharinath@novell.com>

	* Makefile (LIBRARY_COMPILE): Simplify.

2004-10-29  Raja R Harinath  <rharinath@novell.com>

	* Makefile: Move support for building net_2_0_bootstrap libraries
	to gmcs.

2004-10-04  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add more 2.0 classes under System.Runtime.InteropServices.

	* corlib.dll.sources: Add new 2.0 classes under System.Runtime.InteropServices.

2004-09-29  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add System.Runtime.InteropServices/UnmanagedFunctionPointerAttribute.cs.

2004-09-27  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add more 2.0 System.Reflection classes.
	
	* corlib.dll.sources: Add some 2.0 System.Reflection classes.

2004-09-26  Zoltan Varga  <vargaz@freemail.hu>

	* corlib_test.dll.sources: Add System.Reflection/FieldInfoTest.
	
	* corlib_test.dll.sources: Add System.Reflection/MethodInfoTest.

2004-09-25  Zoltan Varga  <vargaz@freemail.hu>

	* corlib_test.dll.sources: Add System.Reflection/ParameterInfoTest.

2004-09-23  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add System.Reflection.ObfuscateAssemblyAttribute
	and System.Reflection.ObfuscationAttribute.

2004-09-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net20bootstrapcorlib): Rename from net20bootstraplib.
	Build 'mscorlib.dll' using the 'net_2_0_bootstrap' profile.
	(net20bootstrapSystem): New.  Build 'System.dll' using the
	'net_2_0_bootstrap' profile.
	($(gmcs)): Depend on both the above.
	(CLEAN_FILES) [PROFILE=net_2_0]: Clean the 'net_2_0_bootstrap'
	profile and 'gmcs' too.

2004-09-20  Gert Driesen <drieseng@users.sourceforge.net>

	* corlib.dll.sources: Removed ReadOnlyCollections.cs and Collection.cs
	from corlib System.Collections.Generics to System assembly

2004-09-19  Zoltan Varga  <vargaz@freemail.hu>

	* corlib_test.dll.sources: Added System/ModuleHandleTest.

	* corlib.dll.sources: Added System/ModuleHandle.

2004-09-14  Tim Coleman <tim@timcoleman.com>
	* corlib.dll.sources: Added System.Security.Principal/TokenImpersonationLevel

2004-09-09  Tim Coleman <tim@timcoleman.com>
	* corlib.dll.sources: Added System/Base64FormattingOptions.cs to the
	build

2004-09-05  Marek Safar  <marek.safar@seznam.cz>

	* corlib.dll.sources: 
	Added System.Collections.Generic/Dictionary.cs to the build.

2004-09-03  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added System.Security.Permissions/
	RegistryPermissionTest.cs to unit tests.

2004-08-30  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added Mono.Security/Uri.cs to the build.

2004-08-26  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System.Security.Policy/
	ApplicationSecurityManager.cs, ApplicationSecurityManagerCodeGroup.cs,
	ApplicationTrustCollection.cs and ApplicationTrustEnumerator.cs for 
	NET_2_0 profile.
	* corlib_test.dll.sources: Added System.Security.Policy/
	ApplicationDirectoryTest.cs, HashMembershipConditionTest.cs,
	HashTest.cs and IBuiltInEvidenceTest.cs to unit tests.

2004-08-25  Nick Drochak <ndrochak@ieee.com>

	* Makefile : Ignore tests that hang MS.NET.

2004-08-23  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System.Security.Policy/
	ApplicationMembershipCondition.cs, 
	DomainApplicationMembershipCondition.cs,
	MembershipConditionHelper.cs for NET_2_0 profile.
	* corlib_test.dll.sources: Added System.Security.Policy/
	AllMembershipConditionTest.cs,
	ApplicationDirectoryMembershipConditionTest.cs,
	ApplicationMembershipConditionTest.cs and
	DomainApplicationMembershipConditionTest.cs to unit tests.

2004-08-23  Martin Baulig  <martin@ximian.com>

	* Makefile: Add $(LIBRARY_FLAGS) to the $(net20bootstraplib)
	compilation to get /nostdlib.

2004-08-20  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added System.Security.Permissions/
	SiteIdentityPermissionTest.cs and UrlIdentityPermissionTest.cs
	to unit tests.

2004-08-19  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added System.Security.Permissions/
	CodeAccessSecurityAttributeTest.cs,
	DataProtectionPermissionAttributeTest.cs (NET_2_0),
	HostProtectionAttributeTest.cs (NET_2_0), 
	IsolatedStoragePermissionAttributeTest.cs and
	KeyContainerPermissionAttributeTest.cs  (NET_2_0) to unit tests.

2004-08-19  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added SecurityPermissionTest.cs to unit 
	tests.

2004-08-18  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added GacIdentityPermissionTest.cs and
	GacIdentityPermissionAttributeTest.cs to unit tests. Added 
	IsolatedStorageFilePermissionTest.cs.

2004-08-17  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added StrongNameIdentityPermissionTest.cs
	to unit tests.

2004-08-17  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System.Security.Permissions/
	DataProtectionPermission.cs, DataProtectionPermissionAttribute.cs,
	DataProtectionPermissionFlags.cs, HostProtectionAttribute.cs,
	HostProtectionPermission.cs, KeyContainerPermission.cs,
	KeyContainerPermissionAccessEntry.cs, 
	KeyContainerPermissionAccessEntryCollection.cs,
	KeyContainerPermissionAccessEntryEnumerator.cs
	KeyContainerPermissionAttribute.cs and KeyContainerPermissionFlags.cs
	to NET_2_0 profile.
	* corlib_test.dll.sources: Added System.Security.Permissions/
	IBuiltInPermissionTest.cs and UIPermissionTest.cs unit tests.

2004-08-12  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System.Runtime.ConstrainedExecution/
	CER.cs, Consistency.cs, PrePrepareMethodAttribute.cs and
	ReliabilityContractAttribute.cs. Added System.Threading/
	ParameterizedThreadStart.cs. All for NET_2_0 profile.

2004-08-09  Marek Safar  <marek.safar@seznam.cz>

	* corlib.dll.sources: Added System/EnvironmentVariableTarget.cs
	for NET_2_0.

2004-08-09  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System/ApplicationId.cs, 
	System.Reflection/ImageFileMachine.cs and PortableExecutableKind.cs,
	and System.Security.Policy/ApplicationSecurityInfo.cs for NET_2_0.
	* corlib_test.dll.sources: Added System/ApplicationIdentityTest.cs and
	ApplicationIdTest.cs unit tests for NET_2_0.

2004-08-08  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System/AppDomainInitializer.cs,
	AppDomainManager.cs, ApplicationActivator.cs and
	DomainManagerInitializationFlags.cs. Added System.Threading/
	HostExecutionContext.cs, HostExecutionContextManager.cs and
	HostExecutionContextSwitcher.cs for NET_2_0.

2004-08-04  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System.Security.Permissions/
	GacIdentityPermission.cs and GacIdentityPermissionAttribute.cs, and
	System.Security.Policy/Gac.cs and GacMembershipCondition.cs to NET_2_0
	* corlib_test.dll.sources: Added /Test/System.Security.Policy/
	GacMembershipConditionTest.cs, GacTest.cs and
	ZoneMembershipConditionTest.cs to unit tests.

2004-08-03  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added PermissionSetCollection and SecureString
	in System.Security. Moved CriticalFinalizerObject to System.Runtime.
	ConstrainedExecution.
	* corlib_test.dll.sources: Added /Test/System.Security.Permissions/
	ZoneIdentityPermissionTest.cs to unit tests.

2004-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile: Use the new FRAMEWORK_VERSION variable to build the destination
	  path for mscorlib.

2004-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* corlib.dll.sources: Added new files for NET_2_0 profile: 
		System.Threading/ExecutionContext.cs
		System.Threading/ExecutionContextSwitcher.cs
		System.Threading/SynchronizationContext.cs
		System.Threading/SynchronizationContextSwitcher.cs

2004-07-14  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added new files for NET_2_0 profile: 
		System.Security/HostProtectionException.cs
		System.Security/HostSecurityManager.cs
		System.Security/HostSecurityManagerFlags.cs
		System.Security/SecurityContext.cs
		System.Security/SecurityContextSwitcher.cs
		System.Security.Permissions/HostProtectionResource.cs
		System.Threading/AsyncFlowControl.cs
		System.Threading/CompressedStackSwitcher.cs
		System.Threading/ContextCallback.cs

2004-07-13  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added new files for NET_2_0 profile: 
		System/ActivationContext.cs
		System/ApplicationIdentity.cs
		System/IApplicationDescription.cs
		System/IHostContext.cs
		System.Security.Policy/ApplicationDefaultCodeGroup.cs 
		System.Security.Policy/ApplicationInstallScope.cs 
		System.Security.Policy.Security.Policy/ApplicationTrust.cs 
		System.Security.Policy/ApplicationVersionMatch.cs 
		System.Security.Policy/CodeConnectAccess.cs 
		System.Security.Policy/CodeGroupGrantScope.cs 
		System.Security.Policy/IApplicationTrustManager.cs 
		System.Security.Policy/ITrustLicenseIssuerCollection.cs 
		System.Security.Policy/ITrustManager.cs 
		System.Security.Policy/ITrustManagerConfig.cs 
		System.Security.Policy/PromptingLevel.cs 
		System.Security.Policy/ProvideAssemblyEvidenceEventArgs.cs 
		System.Security.Policy/TrustLicenseIssuer.cs 
		System.Security.Policy/TrustManagerContext.cs
		System.Security.Policy/TrustManagerUIContext.cs 
		System.Security.Policy/TrustManagerZoneConfig.cs 

2004-07-10  Lluis Sanchez Gual <lluis@ximian.com>

	* corlib.dll.sources: Added System.Threading.SendOrPostCallback.cs.

2004-07-07  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added new files for NET_2_0: 
		System.Runtime.InteropServices/_Exception.cs
		System.Security.Cryptography/RijndaelManagedTransform.cs
		System.Security.Cryptography/RIPEMD160.cs
		System.Security.Cryptography/RIPEMD160Managed.cs
		System.Security.AccessControl/AccessControlActions.cs
		System.Security.Cryptography.X509Certificates/X509ContentType.cs
		System.Security.Cryptography.X509Certificates/X509KeyStorageFlags.cs
	* corlib.dll.sources: Added new tests for CipherMode and 
	CspProviderFlags.

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	* Makefile (LIBRARY_USE_INTERMEDIATE_FILE): Define.

2004-07-02  Raja R Harinath  <rharinath@novell.com>	

	* Makefile ($(net20bootstrap_makefrag)): Build from net_2_0
	profile response file.
	(gmcs): Style update.

2004-06-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (net20bootstrap_response): Remove.  This shouldn't
	differ from $(response).
	(post_process): Remove, now that PLATFORM_CHANGE_SEPARATOR_CMD is
	unconditional.
	($(cmp_response),$(res_response)): Update.

2004-06-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (TEST_COMPILE): Use internal mcs to compile the
	platform testsuite too.

2004-06-11  Gert Driesen <drieseng@users.sourceforge.net>

	* corlib_test.dll.sources: added EnumBuilderTest and 
	FieldBuilderTest to the build

2004-06-11  Raja R Harinath  <rharinath@novell.com>

	* corlib_plattest.dll.excludes: Remove contents.  Any file listed
	here has also to be listed in corlib_test.dll.sources.

	* Makefile: Rewrite to use library.make.  Do away with stampfiles.

2004-06-04  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : fixed incorrectly unified corlib-plattest in the
	  previous fix.

2004-06-03  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added run-test-ondotnet support.

2004-05-30  Martin Baulig  <martin@ximian.com>

	* Makefile (net_2_0_dir): New variable; also use the correct
	directory here.

2004-05-29  Gert Driesen  (drieseng@users.sourceforge.net)

	* corlib.dll.sources: added SetWin32ContextInIDispatchAttribute
	and VariantWrapper

2004-05-25  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: changed case on nunit.framework.dll (lowercase)

2004-05-22  Todd Berman  <tberman@sevenl.net>

	* corlib.dll.sources: added Mono/Runtime.cs
	* Mono: added Mono directory back
	* Mono/Runtime.cs: add back Runtime.cs, marked as internal, gnome#
	needs it.

2004-05-22  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added IntPtrTest and UIntPtrTest to the 
	build.

2004-05-21  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added SingleTest to the build.

2005-05-18  Gert Driesen (drieseng@users.sourceforge.net)

	* corlib_test.dll.sources: added PropertyInfoTest

2004-05-14  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* corlib.dll.sources: removed obsolete Mono/Runtime.cs
	* corlib_test.dll.sources: added BinderTests
	* Mono: removed obsolete directory.
	* Mono/ChangeLog: Removed file.
	* Mono/Runtime.cs: Removed file.

2004-05-14  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: install-local is verbose now.

2004-05-14  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added System/__ComObject.cs to the build.

2004-05-13  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* corlib_test.dll.sources: added BinderTests.cs

2004-05-12  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Added System.Threading/CompressedStack.cs

2004-05-11  Jackson Harper  <jackson@ximian.com>

	* Makefile: Use snazzy new PLATFORM_PATH_SEPARATOR when setting
	the mono path, so it works on Windows.
	
2004-05-10  Raja R Harinath  <rharinath@novell.com>

	* Makefile (corlib_net_2_0_bootstrap): Remove extraneous copying.

2004-05-08  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: build NUnit if the dll is not found when running
	'make test'. Use INTERNAL_MCS to build the tests as csc fails miserably
	to compile them.

2004-05-07  Raja R Harinath  <rharinath@novell.com>

	* Makefile (corlib_net_2_0_bootstrap): Copy System.dll and
	System.Xml.dll from 'default' profile build.
	($(gmcs)): Always go to 'gmcs' directory.

2004-05-06  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added SymmetricAlgorithm2Test, 
	ToBaseTransformTest, TripleDESTest unit tests to the build.

2004-05-07  Nick Drochak <ndrochak@gol.com>

	* Makefile (plattest_flags): Add /unsafe.

2004-05-05  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added Base64Constants to the build.
	Added SHAConstants to the build.

2004-05-05  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile (test_flags): Add /unsafe.

2004-05-03 Lluis Sanches Gual  <lluis@ximian.com>
	
	* corlib.dll.sources: Added Assembly/Consts.cs.
		
2004-04-30  Jackson Harper  <jackson@ximian.com>

	* Makefile: Add dependancies.
	
2004-04-29  Jackson Harper  <jackson@ximian.com>

	* Makefile: net_2_0 corlib goes to a special place.
	
2004-04-28  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added X509ChainStatusFlags, X509CRL, X509Store, 
	X509StoreManager, X509Stores, BasicConstraintsExtension, 
	KeyUsageExtension and SubjectKeyIdentifierExtension to the build.
	Removed ITrustAnchors.cs, TestAnchors.cs and TrustAnchors from the 
	build.

2004-04-28  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added DESCryptoServiceProviderTest.cs.

2004-04-28  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Added System.Reflection.Emit/MethodRental.cs.

	* corlib_test.dll.sources: Added Test/System.Reflection.Emit/MethodRentalTest.cs.

2004-04-27  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile: Fix tests with new directory structure.

2004-04-26  Jackson Harper  <jackson@ximian.com>

	* Makefile: Use profile dependant directory.
	
2004-04-26  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added DESTest.cs.

2004-04-22  Martin Baulig  <martin@ximian.com>

	Use `#if NET_2_0 || BOOTSTRAP_2_0' for the generic reflection stuff.

2004-04-09  Zoltan Varga  <vargaz@freemail.hu>

	* corlib_test.dll.sources: Added System.Threading/TimerTest.cs.

2004-04-08  Bernie Solomon  <bernard@ugsolutions.com>

	* corlib.dll.sources: Added Mono.Security/BitConverterLE.cs

2004-04-03 Lluis Sanches Gual  <lluis@ximian.com>
	
	* corlib_test.dll.sources: Added System.Threading/ReaderWriterLockTest.cs.
		
2004-04-02  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib_test.dll.sources: Added System/EnvironmentTest.cs.

2004-03-31  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added Mono.Security/StrongNameManager.cs.

2004-03-11  Martin Baulig  <martin@ximian.com>

	* corlib.dll.sources: Added System.Collections.Generic/Queue.cs
	and System.Collections.Generic.Stack.cs.

2004-03-11  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile, corlib.dll.win32-excludes : 
	  now csc build includes SecurityPermissionAttribute.cs.

2004-03-09  Jackson Harper  <jackson@ximian.com>

	* corlib_test.dll.sources: Add new test cases to the build.
	
2004-03-03  Jackson Harper <jackson@ximian.com>

	* corlib.dll.sources: Add new registry files to the build.
	
2004-02-20  Jackson Harper  <jackson@ximian.com>

	* corlib.dll.sources: Add LockQueue.cs to build.
	
2004-02-18  Atsushi Enomoto  <atsushi@ximian.com>

	* corlib_test.dll.sources : Added CharCategoryTest.cs

2004-02-17 Lluis Sanches Gual  <lluis@ximian.com>
	
	* corlib.dll.sources: Added 
		System.Runtime.Serialization.Formatter.Binary.CodeGenerator.cs

2004-02-10 Carlos Guzman Alvarez  <carlosga@telefonica.net>

    * Mono.Security.Cryptography/PKCS1.cs:

        - Added little change for allow the class to be used with
        hash implementations that doesn't have an oid like the MD5SHA1 hash.

2004-02-06  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Moved SymmetricTransform class from System.
	Security.Cryptography (SymmetricAlgorithm) to Mono.Security.
	Cryptography.

2004-02-05  Sebastien Pouliot  <sebastien@ximian.com>

	* corlib.dll.sources: Added KeyPairPersistance class, in Mono.
	Security.Cryptography namespace, to the build.
	* corlib_test.dll.sources: Added AppDomain unit tests in System.
	Some tests are currently ignored because they produce lots of GC
	Warning failures but they seems to work (nunit finishes).

2004-01-14  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib_test.dll.sources: Added Url and UrlMembershipCondition unit 
	tests in System.Security.Policy namespace.

2004-01-06  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib_test.dll.sources: Added SecurityException unit tests in
	System.Security namespace.

2004-01-05  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib_test.dll.sources: Added CodeAccessPermission unit tests in
	System.Security namespace. Added CodeGroup related and PolicyLevel
	unit tests to System.Security.Policy.

2004-01-05  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Added System.Resources.Win32Resources.cs.

2004-01-03  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib_test.dll.sources: Added SecurityManager unit tests in
	in System.Security namespace.

2004-01-03  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib.dll.sources: Added SiteMembershipCondition to 
	System.Security.Policy namespace.
	* corlib_test.dll.sources: Added Site and SiteMembershipCondition
	unit tests in System.Security.Policy namespace.

2004-01-02  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib.dll.sources: Added many (long time) missing classes in the
	System.Security.Policy namespace.

2004-01-01  Nick Drochak  <ndrochak@gol.com>

	* corlib_test.dll.sources: Add PermissionRequestEvidenceTest.cs
	* corlib.dll.sources. Add PermissionRequestEvidence.cs

2003-12-29  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib_test.dll.sources: Added new unit tests to System.Security.
	Permissions and System.Security.Principal.

2003-12-25  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib.dll.sources: Added WindowsPrincipal to build.

2003-12-15  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib_test.dll.sources: Added unit tests PaddingMode and X509 
	using CryptoAPI.

2003-12-14  Pedro Martinez Julia <yoros@wanadoo.es>

	* DateTime.cs: Be sure that the array access is not out of range
	when looking for ArgumentOutOfRangeException in the year value.

2003-12-08  Peter Williams  <peter@newton.cx>

	* Makefile: Use embedded tab instead of $(ECHO_ESCAPE).
	Fixes build on OS X.

2003-12-04  Martin Baulig  <martin@ximian.com>

	* corlib.dll.sources: Added System.Collections.Generic.

2003-11-26  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* corlib.dll.sources: Added file:
		System.Runtime.InteropServices.DispatchWrapper.cs

2003-11-26  Lluis Sanchez Gual <lluis@ximian.com>

	* corlib.dll.sources: Added 
		System.Runtime.Remoting.Services/EnterpriseServicesHelper.cs
	* corlib_test.dll.sources: Added System.Runtime.Remoting/SoapServicesTest.cs

2003-11-24  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add System.Reflection.Emit/DynamicMethod.cs.

2003-11-19  Lluis Sanchez Gual <lluis@ximian.com>

	* corlib_test.dll.sources: Added some test files:
		System.Runtime.Remoting/ContextTest.cs
		System.Runtime.Remoting/SynchronizationAttributeTest.cs

2003-11-18  Lluis Sanchez Gual <lluis@ximian.com>

	* corlib.dll.sources: Added some files:
		System.Runtime.Remoting.Contexts/IContextPropertyActivator.cs
		System.Runtime.Remoting.Contexts/SynchronizationAttribute.cs
		System.Runtime.Remoting.Messaging/ISerializationRootObject.cs

2003-11-18  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* corlib.dll.sources: Added already existing, but not added delegate
		Added various classes in System.InteropServices

2003-11-18  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* corlib.dll.sources: Added some files:
		System.Runtime.Serialization.Formatter.cs
		System.Runtime.Serialization.Formatters/InternalRM.cs
		System.Runtime.Serialization.Formatters/InternalST.cs
		System.Runtime.Serialization.Formatters/TypeFilterLevel.cs

2003-11-17  Lluis Sanchez Gual <lluis@ximian.com>

	* corlib.dll.sources: Added some files:
		System.Runtime.Remoting.Channels/AggregateDictionary.cs
		System.Runtime.Remoting.Metadata.W3cXsd2001/SoapHelper.cs
	
2003-11-16  Lluis Sanchez Gual <lluis@ximian.com>

	* corlib.dll.sources: Add System.Runtime.Remoting/InternalRemotingServices.cs
	
2003-11-15  Zoltan Varga  <vargaz@freemail.hu>

	* corlib.dll.sources: Add System.Runtime.CompilerServices/IsVolatile.cs.

2003-11-12 Jackson Harper <jackson@ximian.com>

	* Makefile: corlib is now named mscorlib.

2003-11-09  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib.dll.sources: Added new 1.2 classes for System.Security.Cryptography.
	* corlib_test.dll.sources: Added unit tests for some HMAC (new in 1.2).

2003-10-18  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib.dll.sources: Added classes StrongName to support StrongNames.

2003-10-17  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib.dll.sources: Added classes CryptoConvert to support StrongNames.

2003-10-12  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib.dll.sources: Added classes for Authenticode support.
	* corlib_test.dll.sources: Added unit test for SPC certificates.

2003-09-26  Pedro Martinez Julia <yoros@wanadoo.es>

	* corlib_test.dll.sources: Remove tests that generate compile
	errors. The tests are still there but its name is rmoved here.

2003-09-24    <cesar@ciencias.unam.mx>

	* corlib.dll.sources: Added CompilerGlobalScopeAttribute.cs to the build

2003-08-20  Duncan Mak  <duncan@ximian.com>

	* corlib_test.dll.sources: Added DictionaryBaseTest.cs

2003-08-19 Nick Drochak <ndrochak@gol.com>

	* Makefile: Turn on debug for the corlib tests on .NET.

2003-08-06  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* corlib.dll.sources: added quite some files

2003-08-06  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* corlib.dll.sources: added/removed Locale.cs

2003-08-03  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib.dll.sources: Added IBuiltInPermission.cs to System.Security.Permissions

2003-07-31  Sebastien Pouliot  <spouliot@videotron.ca>

	* corlib_test.dll.sources: Added new CryptoStreamTest.cs

2003-07-24  Peter Williams  <peter@newton.cx>

	* Makefile: Boo-yah! Add corlib_plattest.dll, which is a
	corlib test library built against the platform corlib. This
	lets us test our corlib tests. On a non-mono-native platform
	(Windows) we run those tests only; on a mono-native platform, we
	run the full corlib test suite on our own tests.
	(clean-local): Forgot $(plattestlib).

	* corlib_plattest.dll.excludes: Add this. (The result of
	'grep Mono corlib_test.dll.sources')

	* corlib_test.dll.sources: Extraneous newline was messing things
	up.
	
2003-07-23  Ravi Pratap  <ravi@ximian.com>

	* Type.cs, TypeBuilder.cs, MonoType.cs: Fixes to IsArrayImpl
	from Paolo in response to bug #45993.

2003-07-23  Lluis Sanchez Gual  <lluis@ximian.com>

	* corlib_test.dll.sources: added System.Runtime.Serialization/SerializationTest.cs

2003-07-20  Peter Williams  <peter@newton.cx>

	* Makefile: Add in corlib_res.dll, which we use as a basis
	for tests on non-linux platforms. Nearly identical rules to
	corlib_cmp: corlib - some files that cause the MS runtime to
	barf.

	* corlib_res.dll.excludes: Added.

2003-07-20  Peter Williams  <peter@newton.cx>

	* Makefile: Don't use real_corlib; use $(PLATFORM_CORLIB).

2003-07-18  Peter Williams  <peter@newton.cx>

	* Makefile (dist-local): The fancy shell script was neat, but
	ultimately unnecessary and counterproductive. Alas.

2003-07-17  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* corlib.dll.sources:
	* unix.args: AssemblyInfo.cs added

2003-07-17  Peter Williams  <peter@newton.cx>

	* Makefile ($(testlib)): Build with $(BOOT_COMPILE), not $(CSCOMPILE),
	which sort of makes sense and is needed on Windows too.
	($(corlib)): same.
	$(cmplib): Don't include the makefrag to save the Windows build and some
	time.

2003-07-16  Peter Williams  <peter@newton.cx>

	* Makefile ($(test_makefrag)): Use $(ECHO_ESCAPE) for HP/UX
	portability fixes.
	(all-local): Don't build $(cmplib) by default, it's not something
	most people need, and the build is broken on Windows right now anyway.

2003-07-13  Zoltan Varga  <vargaz@freemail.hu>

	* unix.args: Fix UNIX build.

2003-07-12  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* unix.args: Added Runtime.InteropServices.ComCompatibleVersionAttribute.cs,
	Runtime.InteropServices.TypeLibVersionAttribute.cs

2003-07-05  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: Added SecurityParser.cs to Mono.Xml

2003-06-22  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: Added FileDialogPermission.cs, IsolatedStorageFilePermission.cs,
	PrincipalPermission.cs, PublisherIdentityPermissionAttribute.cs,
	RegistryPermission.cs, SiteIdentityPermission.cs, UIPermission.cs,
	UrlIdentityPermission.cs and ZoneIdentityPermission.cs.

2003-06-22  Lluis Sanchez Gual <lluis@ximian.com>

	* unix.args: added System.Runtime.Remoting/SoapServices.cs

2003-06-11  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: added Mono.Security.Cryptography/DSAManaged.cs and
	RSAManaged.cs

2003-05-29  Nick Drochak <ndrochak@gol.com>

	* makefile.gnu: turn on debug since it works again.

2003-05-09  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: added System.Security/
	AllowPartiallyTrustedCallersAttribute.cs

2003-04-05  Nick Drochak  <ndrochak@gol.com>

	* makefile.gnu: revert. debugger support not installed by default in mcs

2003-04-05  Nick Drochak  <ndrochak@gol.com>

	* makefile.gnu: compile with debug.

2003-03-31  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* unix.args: added SEHException.

2003-03-25  Martin Willemoes Hansen <mwh@sysrq.dk>

	* Stubed System.Runtime.Remoting.Metadata.W3cXsd2001
	* Updated unix.args with the stubs

2003-03-21  Martin Willemoes Hansen <mwh@sysrq.dk>
	
	* unix.args: Added System.Runtime.Remoting.Channels/IChannelReceiverHook.cs

2003-03-21  Lluis Sanchez Gual <lluis@ideary.com>

	* unix.args: Added System.Runtime.Remoting.Activation/AppDomainLevelActivator.cs

2003-03-16  Pedro Martinez Julia <yoros@wanadoo.es>

	* unix.args: Added "System.FloatingPointFormatter.cs".

2003-03-15  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: Added Mono.Security.X509/*.cs and ASN1Convert.cs

2003-03-03  Tim Coleman <tim@timcoleman.com>
	* unix.args: Added
		System.Runtime.InteropServices/HandleRef.cs

2003-03-04  Pedro Martinez Julia <yoros@wanadoo.es>

	* unix.args: Added "DoubleFormatter.cs" and "SingleFormatter.cs"


2003-03-03  Lluis Sanchez Gual <lluis@ideary.com>

	* unix.args: added ConstructionLevelActivator.cs, ContextLevelActivator.cs,
		RemoteActivationAttribute.cs, UrlAttribute.cs, ContextAttribute.cs,
		IContributeDynamicSink.cs, IContributeEnvoySink.cs, IContributeObjectSink.cs

2003-03-01  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* unix.args: added ModuleResolveEventHandler.cs

2003-02-19  Lluis Sanchez Gual <lluis@ideary.com>

	* unix.args: added 
		System.Runtime.Remoting/EnvoyInfo.cs
		System.Runtime.Remoting.Activation/ActivationServices.cs
		System.Runtime.Remoting.Contexts/CrossContextChannel.cs
		System.Runtime.Remoting.Messaging/ClientContextTerminatorSink.cs
		System.Runtime.Remoting.Messaging/ConstructionCall.cs
		System.Runtime.Remoting.Messaging/ConstructionCallDictionary.cs
		System.Runtime.Remoting.Messaging/ConstructionResponse.cs
		System.Runtime.Remoting.Messaging/EnvoyTerminatorSink.cs
		System.Runtime.Remoting.Messaging/IInternalMessage.cs

2003-02-08  Zoltan Varga  <vargaz@freemail.hu>

	* unix.args: added MACAlgorithm and HMACAlgorithm.

2003-02-06  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: Move some class from System.Security.Cryptography
	  into Mono.* for easier reuse.

2003-02-04  Lluis Sanchez Gual <lluis@ideary.com>

	* unix.args: added ServerIdentity.cs, Lease.cs, LeaseManager.cs

2003-02-03  Patrik Torstensson

	* corlib.build: fixes so corlib_cmp and corlib_res builds, need to
	  check if we need the libs and if they still are correct.

2003-02-03  Patrik Torstensson

	* unix.args: added CADMessages.cs

2003-01-26  Lluis Sanchez Gual <lluis@ideary.com>

	* unix.args: added RemoteActivator.cs.

2003-01-26  Lluis Sanchez Gual <lluis@ideary.com>

	* unix.args: added System.Runtime.Remoting.Messaging/ArgInfo.cs,
		System.Runtime.Remoting.Messaging/MethodCallDictionary.cs
		System.Runtime.Remoting.Messaging/MethodDictionary.cs
		System.Runtime.Remoting.Messaging/MethodReturnDictionary.cs

2003-01-24  Lluis Sanchez Gual <lluis@ideary.com>

	* unix.args: added System.Runtime.Remoting/TypeInfo.cs and
	  System.Runtime.Serialization.Formatters.Binary/MessageFormatter.cs

2003-01-18  Jonathan Pryor <jonpryor@vt.edu>

	* unix.args: Added IsolatedStorageFile.cs and IsolatedStorageInfo.cs in
	  System.IO.IsolatedStorage


2003-01-17  Lluis Sanchez Gual <lluis@ideary.com>
	* unix.args: Added System/DelegateSerializationHolder.cs, 
	  System/UnitySerializationHolder.cs,
	  System.Runtime.Serialization/ObjectManager.cs,
	  System.Runtime.Serialization.Formatters.Binary/BinaryCommon.cs,
      System.Runtime.Serialization.Formatters.Binary/ObjectReader.cs and
	  System.Runtime.Serialization.Formatters.Binary/ObjectWriter.cs

2003-01-05  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: added COMException.cs in System.Runtime.InteropServices

2003-01-01  Jaime Anguiano Olarra <jaime@gnome.org>

	* unix.args: added System.Diagnostics.Process.cs 

2002-12-28  Duncan Mak  <duncan@ximian.com>

	* unix.args (ASN1.cs): Sebastien forgot to include this file.

2002-12-27  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: added CryptoTools.cs file.

2002-12-16  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: added StrongName.cs, StrongNamePublicKeyBlob.cs 
	and StrongNameIdentityPermission.cs files.

2002-12-15  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: added PublisherIdentityPermission.cs,
	Publisher.cs and PublisherMembershipCondition.cs

2002-12-10  Jeroen Janssen <japj@darius.demon.nl>
	
	* updated .build file(s) to correctly contain required buildfile 
	  attribute for nant

2002-11-17  Sebastien Pouliot <spouliot@videotron.ca>

	* unix.args: added missing files from System.Security.Cryptography
	namespace.

2002-10-28  Gonzalo Paniagua Javier <gonzalo@gnome-db.org>

	* unix.args: added missing files from System.Security.Cryptography
	namespace.

2002-10-19  Sebastien Pouliot <spouliot@videotron.ca>

	* corlib.build: Removed all excluded cryptographic source code as the
	cyclic dependency was removed (well commented)

2002-10-11  Duncan Mak  <duncan@ximian.com>

	* unix.args: Added System.Security.Cryptography.CryptoConfig.

2002-10-08  Miguel de Icaza  <miguel@ximian.com>

	* Mono/Runtime.cs: New file.

2002-10-05  Andrew Birkett  <andy@nobugs.org>

	* unix.args: Added System.Security.Cryptography.RC2

2002-09-12  Dick Porter  <dick@ximian.com>

	* unix.args: Add System.Globalization.SortKey,
	System.Globalization.StringInfo and
	System.Globalizaton.TextElementEnumerator
	
2002-09-12  Dick Porter  <dick@ximian.com>

	* unix.args: Add System.ArgIterator and System.TypedReference

	* corlib.build: Adding DecimalConstantAttribute to Decimal (which
	corcompare showed as missing) causes a SecurityException in
	corcompare, so exclude Decimal from the corlib_cmp build.

2002-08-26  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* unix.args: added a couple of new files in System.Security.Principal.

2002-08-15  Tim Coleman <tim@timcoleman.com>
	* unix.args: 
		Add System.Globalization/TextInfo.cs
		Add System.Runtime.Serialization/FormatterConverter.cs

2002-07-31  Rodrigo Moya <rodrigo@ximian.com>

	* unix.args: added new files from System.Runtime.Remoting.Channels.

2002-07-31  Duncan Mak  <duncan@ximian.com>

	* unix.args: Added interfaces and enumerations from
	System.Runtime.Remoting.Channels. 

2002-07-31  Duncan Mak  <duncan@ximian.com>

	* unix.args: Added new classes in
	System.Runtime.Remoting.Contexts.
	

2002-07-31  Duncan Mak  <duncan@ximian.com>

	* unix.args: Added new Exceptions, Interfaces and various
	TypeEntries from System.Runtime.Remoting.

2002-07-29  Martin Baulig  <martin@gnome.org>

	* list: Removed, this isn't used anymore and people are already
	getting confused which file to use.

2002-07-24  Duncan Mak  <duncan@ximian.com>

	* unix.args: Added files from Remoting.Lifetime and
	Remoting.Metadata.

	* ChangeLog: Moved entries from System.Runtime.Remoting.Activation
	and System.Runtime.Remoting.Proxies to their own ChangeLog.

2002-07-23  Duncan Mak  <duncan@ximian.com>

	* list: 
	* unix.args: Added new Attributes in
	System.Runtime.CompilerServices and System.Runtime.Remoting.Messaging.

2002-07-22  Tim Coleman <tim@timcoleman.com>
	* list:
	* unix.args:
		Added System.Security.Permission/ReflectionPermission.cs and
		System.Security.Permission/EnvironmentPermission.cs and

2002-07-10  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* list:
	* unix.args: added IObjectHandle.cs.

2002-06-20  Martin Baulig  <martin@gnome.org>

	* unix.args: New file.  This is a mcs response file to compile
	corlib on GNU/Linux (which doesn't work yet).

2002-04-30  Daniel Stodden  <stodden@in.tum.de>

	* System/Delegate.cs: Implemented Remove()
	* System/MulticastDelegate.cs: Implementation of RemoveImpl()
	done. Plus a fix for Equals().
	* Test/System/MulticastDelegate.cs: Added. Should reflect above
	changes.
	
2002-04-27  Martin Baulig  <martin@gnome.org>

	* corlib.build: Added new "mcs-build" target to compile corlib
	with mcs. This doesn't work yet - it's just to test mcs to find
	and fix the remaining bugs.

2002-03-27  Dan Lewis  <dihlewis@yahoo.co.uk>

	* corlib.build: removed seperate windows/linux builds. excluded
	wrapper and PAL classes from all builds.

2002-03-03  Nick Drochak  <ndrochak@gol.com>

	* corlib.build: Exclude a bunch of interfaces from corlib_res.dll
	that were preventing the tests from running on Windows.

2002-01-25  Mark Crichton  <crichton@gimp.org>

	* System.Security.Cryptography/RijndaelManaged.cs: added
	
	* System.Security.Cryptography/Rijndael.cs: changed constructor
	to set default values.  Hopefully I did it correctly.

2002-01-23  Miguel de Icaza  <miguel@ximian.com>

	* Unix/Errno.cs: Added

	* Unix/Wrapper.cs: Updated to new Wrapper

2002-01-19  Nick Drochak  <ndrochak@gol.com>
	
	* corlib.build: exclude Delegate from corlib_cmp.

2002-01-09  Nick Drochak  <ndrochak@gol.com>

	* corlib.build: Exclude Security Attribute classes that need mcs
	magic to get them to compile.

2002-01-06  Duco Fijma <duco@lorentz.xs4all.nl>
	* corlib.build: Removed <excludes> for System.Resources

2002-01-05  Nick Drochak  <ndrochak@gol.com>

	* corlib.build: Have the clean target remove any .pdb files that
	might be around if we compiled with debug on.

2002-01-05  Nick Drochak  <ndrochak@gol.com>

	* corlib.build: Make new build of corlib_cmp.dll.  This is the same
	as corlib.dll without Object and ValueType.  It is used by 
	/mcs/tools/corcompare.exe to compare with mscorlib.

2002-01-03  Nick Drochak  <ndrochak@gol.com>

	* corlib.build: Put the linux target at the top.  I keep changing the 
	build for windows 'cause it's at the top.  Then when I do make, nothing
	changes.  It seems like it always takes me half a day to remember
	that the linux target comes second.  Old age I guess.

	* .cvsignore: ignore corlib.pdb for times when it's built with debug on.

2002-01-02  Nick Drochak  <ndrochak@gol.com>

	* corlib.build: Removed "exclude CodeAccessPermission.cs"

2001-12-11  Duncan Mak  <duncan@ximian.com>

	* ChangeLog: Added "System.Resources" to the exclude list.

2001-12-05  Nick Drochak <ndrochak@gol.com>

	* ChangeLog: Add the change log to this directory

	* corlib.build: Add dependancy on linux target to test target. Need to have the dll before we can test it, right?  Plus is encourages other to try 'make test'.

